import request from '@/config/axios'

export interface OpcdaTagVO {
  id: string
  serverId: string
  tagName: string
  dataType: string
  enabled: boolean
  itemId: string
}

export interface OpcdaTagPageReqVO extends PageParam {
  serverId?: string
  tagName?: string
}

// 查询OpcdaTag列表
export const getOpcdaTagPage = (params: OpcdaTagPageReqVO) => {
  return request.get({ url: '/data/channel/opcda/tag/page', params })
}

// 查询OpcdaTag详情
export const getOpcdaTag = (id: number) => {
  return request.get({ url: `/data/channel/opcda/tag/info/${id}`})
}

// 新增OpcdaTag
export const createOpcdaTag = (data: OpcdaTagVO) => {
  return request.post({ url: '/data/channel/opcda/tag/create', data })
}

// 修改OpcdaTag
export const updateOpcdaTag = (data: OpcdaTagVO) => {
  return request.put({ url: '/data/channel/opcda/tag/update', data })
}

// 删除OpcdaTag
export const deleteOpcdaTag = (id: number) => {
  return request.delete({ url: '/data/channel/opcda/tag/delete?id=' + id })
}
